Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
onepagelinklist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZLinkMain", "Language" )
| $UserLimit = $ini->variable( "eZLinkMain", "UserLinkLimit" )
| $languageIni = new eZINI( "kernel/ezlink/user/intl/". $Language . "/onepagelinklist.php.ini", false )
| $IDArrayStr = $ini->variable( "eZLinkMain", "CategoryIDSequence" )
| $t
| $linkCategory = new eZLinkCategory( $LinkCategoryID )
| $pathArray = $linkCategory->path()
| $linkCategory_array = $linkCategory->getByParent( $linkCategory )
foreach( $pathArray as $path) if(count( $linkCategory_array)==0) | else

## Variable Documentation

## ◆ $IDArrayStr

$IDArrayStr = $ini->variable( "eZLinkMain", "CategoryIDSequence" )

Definition at line 35 of file onepagelinklist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 31 of file onepagelinklist.php.

## ◆ $Language

$Language = $ini->variable( "eZLinkMain", "Language" )

Definition at line 32 of file onepagelinklist.php.

## ◆ $languageIni

$languageIni = new eZINI( "kernel/ezlink/user/intl/". $Language . "/onepagelinklist.php.ini", false )

Definition at line 34 of file onepagelinklist.php.

## ◆ $linkCategory

$linkCategory = new eZLinkCategory( $LinkCategoryID )

Definition at line 78 of file onepagelinklist.php.

## ◆ $linkCategory_array

$linkCategory_array = $linkCategory->getByParent( $linkCategory )

Definition at line 83 of file onepagelinklist.php.

## ◆ $pathArray

$pathArray = $linkCategory->path()

Definition at line 81 of file onepagelinklist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezlink/user/" . $ini->variable( "eZLinkMain", "TemplateDir" ),
"kernel/ezlink/user/intl", $Language, "onepagelinklist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: onepagelinklist.php:32
$ini
$ini
Definition: onepagelinklist.php:31

Definition at line 44 of file onepagelinklist.php.

## ◆ $UserLimit

$UserLimit = $ini->variable( "eZLinkMain", "UserLinkLimit" )

Definition at line 33 of file onepagelinklist.php.

## ◆ else

foreach ($pathArray as $path) if (count($linkCategory_array)==0) else

Initial value:
{
$i=0
$i
$i
Definition: admin/adlist.php:91

Definition at line 125 of file onepagelinklist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.